<?php

$info = array(
  // Available colors and color labels used in theme.
  'fields' => array(
    'bodybg' => t('Body background'),
    'pagebg' => t('Page background'),
    'logobg' => t('Logo background'),
    'header' => t('Header background'),
    'nameslogan' => t('Site name/slogan'),
    'usermtext' => t('User menu text'),
    'usermhtext' => t('User menu active'),
    'sidebar' => t('Sidebar background'),
    'footer' => t('Footer background'),
    'mmenubg' => t('Main menu bg'),
    'mmenuhbg' => t('Main menu act bg'),
    'mmenutx' => t('Main menu text'),
    'mmenuhtx' => t('Main menu act txt'),
    'tablecell' => t('Table cell bg'),
    'tablehead' => t('Table head bg'),
    'formfsbg' => t('Form fieldset bg'),
    'formfsfr' => t('Form fieldset frame'),
    'formfst' => t('Form fieldset title'),
  ),

  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Ice (Default)'),
      'colors' => array(
	    'bodybg' => '#a3a3a3',
	    'pagebg' => '#eeeefe',
	    'logobg' => '#fffffe',
	    'header' => '#9999dd',
	    'nameslogan' => '#010101',
	    'usermtext' => '#000001',
	    'usermhtext' => '#555588',
	    'sidebar' => '#bbbbbb',
	    'footer' => '#6666de',
	    'mmenubg' => '#6666dd',
	    'mmenuhbg' => '#7777ff',
	    'mmenutx' => '#020202',
	    'mmenuhtx' => '#030303',
	    'tablecell' => '#bcbcbc',
	    'tablehead' => '#555555',
	    'formfsbg' => '#ffffff',
	    'formfsfr' => '#dbdbdb',
	    'formfst' => '#3b3b3b',
      ),
    ),

     'sand' => array(
           'title' => t('Sand'),
              'colors' => array(
		    'bodybg' => '#a3a3a3',
		    'pagebg' => '#f9f2d7',
		    'logobg' => '#f5efcf',
		    'header' => '#c1ac48',
		    'nameslogan' => '#ffffff',
		    'usermtext' => '#000001',
		    'usermhtext' => '#598855',
		    'sidebar' => '#eedbaa',
		    'footer' => '#c1ac48',
		    'mmenubg' => '#b09d30',
		    'mmenuhbg' => '#d1c52e',
		    'mmenutx' => '#ffffff',
		    'mmenuhtx' => '#ffffff',
		    'tablecell' => '#eedbaa',
		    'tablehead' => '#aabbaa',
		    'formfsbg' => '#f0edd0',
		    'formfsfr' => '#eeddaa',
		    'formfst' => '#3b3b3b',
       ),
    ),

     'nature' => array(
           'title' => t('Nature'),
              'colors' => array(
		    'bodybg' => '#4f4f4f',
		    'pagebg' => '#edf4c7',
		    'logobg' => '#abe79b',
		    'header' => '#47713c',
		    'nameslogan' => '#ffffff',
		    'usermtext' => '#000001',
		    'usermhtext' => '#408839',
		    'sidebar' => '#d1dac8',
		    'footer' => '#488343',
		    'mmenubg' => '#719956',
		    'mmenuhbg' => '#47713c',
		    'mmenutx' => '#ffffff',
		    'mmenuhtx' => '#ffffff',
		    'tablecell' => '#d1dac8',
		    'tablehead' => '#aaaa99',
		    'formfsbg' => '#d2e49f',
		    'formfsfr' => '#d1dac8',
		    'formfst' => '#3b3b3b',
       ),
    ),



  ),

  // CSS files (excluding @import) to rewrite with new color scheme.
  'css' => array(
    'css/colors.css',
  ),
  
  // Files to copy.
    'copy' => array(
        'logo.png',
        'favicon.ico',
     ),

  // Gradient definitions.
  'gradients' => array(
    array(
      // (x, y, width, height).
      'dimension' => array(0, 0, 0, 0),
      // Direction of gradient ('vertical' or 'horizontal').
      'direction' => 'vertical',
      // Keys of colors to use for the gradient.
      'colors' => array('top', 'bottom'),
    ),
  ),

  // Color areas to fill (x, y, width, height).
  'fill' => array(),

  // Coordinates of all the theme slices (x, y, width, height)
  // with their filename as used in the stylesheet.
  'slices' => array(),

  // Reference color used for blending. Matches the base.png's colors.
  'blend_target' => '#ffffff',

  // Preview files.
    'preview_css' => 'color/preview.css',
      'preview_js' => 'color/preview.js',
        'preview_html' => 'color/preview.html',

  // Base file for image generation.
    'base_image' => 'color/base.png',

);
